## golang-github-containers-buildah 1.10.1

=== docs/Makefile ===
PREFIX := /usr/local
DATADIR := ${PREFIX}/share
MANDIR := $(DATADIR)/man
GOMD2MAN = ../tests/tools/build/go-md2man

docs: $(patsubst %.md,%.1,$(wildcard *.md))

%.1: %.md
	$(GOMD2MAN) -in $^ -out $@

.PHONY: install
install:
	install -d ${DESTDIR}/${MANDIR}/man1
	install -m 0644 buildah*.1 ${DESTDIR}/${MANDIR}/man1

.PHONY: clean
clean:
	$(RM) buildah*.1

=== debian/changelog ===
golang-github-containers-buildah (1.10.1-6) unstable; urgency=medium

  * Install "policy.json" conf file and the corresponding man page.
  * Install "containers/image" man pages (Closes: #947007).
  * Patch registries.conf to mention its man page.
  * Suggests += "containers-storage".
    (provides containers-storage.conf(5) and other man pages).
  * Recommends += "crun | runc".
  * Tightened "fuse-overlayfs" dependency.
  * README.Debian: added "Troubleshooting rootless mode" note.

 -- Dmitry Smirnov <onlyjob@debian.org>  Sun, 29 Dec 2019 19:26:18 +1100

golang-github-containers-buildah (1.10.1-5) unstable; urgency=medium

  * Install bash completions.
  * Enabled "ostree" storage.
  * Build with all security features (seccomp, selinux, apparmor).
  * (Build-)Depends:
    + bash-completion
    + golang-github-seccomp-containers-golang-dev
    + libapparmor-dev
    + libostree-dev
    + libselinux1-dev

 -- Dmitry Smirnov <onlyjob@debian.org>  Mon, 02 Dec 2019 22:00:19 +1100

golang-github-containers-buildah (1.10.1-4) unstable; urgency=medium

  * Recommends += "fuse-overlayfs".
  * Removed "golang-github-docker-distribution-dev" from (Build-)Depends.
  * Disabled "Testsuite: autopkgtest-pkg-go" which is confused by man
    pages...

 -- Dmitry Smirnov <onlyjob@debian.org>  Sun, 01 Dec 2019 04:41:25 +1100

golang-github-containers-buildah (1.10.1-3) unstable; urgency=medium

  * Install docs and examples.
  * Build and install man pages (with spelling and section corrections).
  * Tightened versioned dependency on Docker.
  * Use non-transitional "logrus" package.
  * Corrected short package description.
  * Standards-Version: 4.4.1.
  * Added myself to Uploaders.

 -- Dmitry Smirnov <onlyjob@debian.org>  Mon, 11 Nov 2019 15:44:08 +1100

golang-github-containers-buildah (1.10.1-2) unstable; urgency=medium

  * Uploda to unstable

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 10 Nov 2019 10:41:43 -0500

golang-github-containers-buildah (1.10.1-1) experimental; urgency=medium

  * New upstream version

 -- Reinhard Tartler <siretart@tauware.de>  Mon, 21 Oct 2019 08:17:37 -0400

golang-github-containers-buildah (1.7.2-1) experimental; urgency=medium

  * Initial release (Closes: #928083)

 -- Reinhard Tartler <siretart@tauware.de>  Mon, 21 Oct 2019 08:17:01 -0400

=== debian/control ===
Source: golang-github-containers-buildah
Section: devel
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Reinhard Tartler <siretart@tauware.de>,
           Dmitry Smirnov <onlyjob@debian.org>,
Build-Conflicts: golang-github-dnephin-cobra-dev
Build-Depends: debhelper (>= 11), bash-completion,
               dh-golang,
               golang-any,
               golang-ginkgo-dev,
               golang-github-appc-cni-dev (>= 0.7.0~~),
               golang-github-boltdb-bolt-dev,
               golang-github-containerd-continuity-dev,
               golang-github-containers-image-dev (>= 4.0.1-2~),
               golang-github-containers-storage-dev (>= 1.12.2~),
               golang-github-docker-docker-dev (>= 19.03.4~),
#                  golang-github-docker-distribution-dev,
               golang-github-docker-go-units-dev,
               golang-github-fsouza-go-dockerclient-dev,
               golang-github-hashicorp-go-multierror-dev,
               golang-github-mattn-go-shellwords-dev,
               golang-github-opencontainers-go-digest-dev,
               golang-github-opencontainers-image-spec-dev,
               golang-github-opencontainers-runc-dev,
               golang-github-opencontainers-runtime-tools-dev,
               golang-github-opencontainers-selinux-dev,
               golang-github-opencontainers-specs-dev,
               golang-github-openshift-imagebuilder-dev,
               golang-github-pkg-errors-dev,
               golang-github-seccomp-containers-golang-dev,
               golang-github-sirupsen-logrus-dev,
               golang-github-spf13-cobra-dev,
               golang-github-spf13-pflag-dev,
               golang-gocapability-dev,
               golang-golang-x-crypto-dev,
               golang-golang-x-sys-dev,
               golang-gomega-dev,
               go-md2man,
               libapparmor-dev,
               libostree-dev,
               libselinux1-dev,
Standards-Version: 4.4.1
Homepage: https://github.com/containers/buildah
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-containers-buildah
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-containers-buildah.git
XS-Go-Import-Path: github.com/containers/buildah
#Testsuite: autopkgtest-pkg-go

Package: buildah
Architecture: any
Built-Using: ${misc:Built-Using}
Depends: uidmap,
         ${misc:Depends},
         ${shlibs:Depends}
Conflicts: fuse-overlayfs (<< 0.7.1)
Recommends: ${misc:Recommends},
    fuse-overlayfs (>= 0.7.1~),
    crun | runc,
Suggests: containers-storage
Description: CLI tool to facilitate building OCI images
 The Buildah package provides a command line tool that can be used to
   - create a working container, either from scratch or using an image as a
     starting point
   - create an image, either from a working container or via the
     instructions in a Dockerfile
   - images can be built in either the OCI image format or the traditional
     upstream docker image format
   - mount a working container's root filesystem for manipulation
   - unmount a working container's root filesystem
   - use the updated contents of a container's root filesystem as a
     filesystem layer to create a new image
   - delete a working container or an image
   - rename a local container
 .
 This package contains the buildah command-line utility and provides an
 interface similar to the 'docker' command.

Package: golang-github-containers-buildah-dev
Architecture: all
Depends: ${misc:Depends},
         golang-ginkgo-dev,
         golang-github-appc-cni-dev,
         golang-github-boltdb-bolt-dev,
         golang-github-containers-storage-dev,
         golang-github-docker-docker-dev (>= 19.03.4~),
#            golang-github-docker-distribution-dev,
         golang-github-docker-go-units-dev,
         golang-github-fsouza-go-dockerclient-dev,
         golang-github-hashicorp-go-multierror-dev,
         golang-github-mattn-go-shellwords-dev,
         golang-github-opencontainers-go-digest-dev,
         golang-github-opencontainers-image-spec-dev,
         golang-github-opencontainers-runc-dev,
         golang-github-opencontainers-runtime-tools-dev,
         golang-github-opencontainers-selinux-dev,
         golang-github-opencontainers-specs-dev,
         golang-github-pkg-errors-dev,
         golang-github-seccomp-containers-golang-dev,
         golang-github-sirupsen-logrus-dev,
         golang-github-spf13-cobra-dev,
         golang-github-spf13-pflag-dev,
         golang-gocapability-dev,
         golang-golang-x-crypto-dev,
         golang-golang-x-sys-dev,
         golang-gomega-dev,
Description: tool to facilitate building OCI images
 The Buildah package provides a command line tool that can be used to
   - create a working container, either from scratch or using an image as a
     starting point
   - create an image, either from a working container or via the
     instructions in a Dockerfile
   - images can be built in either the OCI image format or the traditional
     upstream docker image format
   - mount a working container's root filesystem for manipulation
   - unmount a working container's root filesystem
   - use the updated contents of a container's root filesystem as a
     filesystem layer to create a new image
   - delete a working container or an image
   - rename a local container
 .
 This package contains golang sources that other package may require for
 building.

=== debian/rules ===
#!/usr/bin/make -f

# We want to ship only the library packages themselves in the go source, not
# the accompanying test scripts
export DH_GOLANG_EXCLUDES := tests/
export DH_GOLANG_EXCLUDES_ALL := 1

MANPAGES_DIR:=_build/manpages
override_dh_auto_configure:
	dh_auto_configure
## prepare containers-image man pages sources:
	mkdir -v -p $(MANPAGES_DIR)
	cp -v /usr/share/doc/golang-github-containers-image-dev/*.5.* $(MANPAGES_DIR)/
	gunzip -v $(MANPAGES_DIR)/*.gz

MANPAGES5 := $(patsubst %.md,%,$(wildcard $(MANPAGES_DIR)/*.5.md))
$(MANPAGES5): $(info MANPAGES5=$(MANPAGES5))
## build containers-image man files:
	go-md2man -in $(@).md -out $@

MANPAGES := $(patsubst %.md,%.1,$(wildcard docs/*.md))
$(MANPAGES): $(info MANPAGES=$(MANPAGES))
## build man pages:
	go-md2man -in $(@:.1=.md) -out $@

override_dh_auto_build: $(MANPAGES) $(MANPAGES5)
	dh_auto_build -- -tags "seccomp selinux apparmor containers_image_ostree"

override_dh_auto_test:
	# TODO: Investigate how to get the tests to pass

%:
	dh $@ --buildsystem=golang --with=golang,bash-completion --builddirectory=_build

## golang-github-containers-buildah 1.11.6

=== debian/changelog ===
golang-github-containers-buildah (1.11.6-1ubuntu5) groovy; urgency=medium

  * Fix path to the vendored seccomp library

 -- Reinhard Tartler <siretart@tauware.de>  Fri, 22 May 2020 07:41:34 -0400

golang-github-containers-buildah (1.11.6-1ubuntu4) groovy; urgency=medium

  * Bugfix to bugfix in workaround in previous upload

 -- Reinhard Tartler <siretart@tauware.de>  Fri, 22 May 2020 07:31:05 -0400

golang-github-containers-buildah (1.11.6-1ubuntu3) groovy; urgency=medium

  * Bugfix in workaround in previous upload

 -- Reinhard Tartler <siretart@tauware.de>  Fri, 22 May 2020 07:06:33 -0400

golang-github-containers-buildah (1.11.6-1ubuntu2) groovy; urgency=medium

  * Link, don't move, in workaround

 -- Reinhard Tartler <siretart@tauware.de>  Fri, 22 May 2020 06:37:39 -0400

golang-github-containers-buildah (1.11.6-1ubuntu1) groovy; urgency=medium

  * Explicitly add some build depensd
  * Work around differences in packaging of vendored libraries in
    the src:docker.io package

 -- Reinhard Tartler <siretart@tauware.de>  Fri, 22 May 2020 06:26:59 -0400

golang-github-containers-buildah (1.11.6-1) unstable; urgency=medium

  * New upstream release.
  * DH to version 12.
  * (Build-)Depends:
    - golang-github-boltdb-bolt-dev
    + golang-github-coreos-bbolt-dev (>= 1.3.3~)
    - golang-github-containerd-continuity-dev
    = golang-github-containers-image-dev (>= 5.0.0~)
    + golang-github-openshift-api-dev

 -- Dmitry Smirnov <onlyjob@debian.org>  Fri, 03 Jan 2020 07:58:54 +1100

=== debian/control ===
Source: golang-github-containers-buildah
Section: devel
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Reinhard Tartler <siretart@tauware.de>,
           Dmitry Smirnov <onlyjob@debian.org>,
Build-Conflicts: golang-github-dnephin-cobra-dev
Build-Depends: debhelper-compat (= 12), bash-completion,
               dh-golang,
               golang-any,
    golang-ginkgo-dev,
    golang-github-appc-cni-dev (>= 0.7.0~~),
    golang-github-containers-image-dev (>= 5.0.0~),
    golang-github-containers-storage-dev (>= 1.12.2~),
    golang-github-coreos-bbolt-dev (>= 1.3.3~),
    golang-github-cyphar-filepath-securejoin-dev,
    golang-github-docker-docker-dev (>= 19.03.4~),
#       golang-github-docker-distribution-dev,
    golang-github-docker-go-units-dev,
    golang-github-fsouza-go-dockerclient-dev,
    golang-github-hashicorp-go-multierror-dev,
    golang-github-ishidawataru-sctp-dev,
    golang-github-mattn-go-shellwords-dev,
    golang-github-opencontainers-go-digest-dev,
    golang-github-opencontainers-image-spec-dev,
    golang-github-opencontainers-runc-dev,
    golang-github-opencontainers-runtime-tools-dev,
    golang-github-opencontainers-selinux-dev,
    golang-github-opencontainers-specs-dev,
    golang-github-openshift-api-dev,
    golang-github-openshift-imagebuilder-dev,
    golang-github-pkg-errors-dev,
    golang-github-seccomp-containers-golang-dev,
    golang-github-sirupsen-logrus-dev,
    golang-github-spf13-cobra-dev,
    golang-github-spf13-pflag-dev,
    golang-gocapability-dev,
    golang-golang-x-crypto-dev,
    golang-golang-x-sys-dev,
    golang-gomega-dev,
    go-md2man,
    libapparmor-dev,
    libostree-dev,
    libseccomp-dev,
    libselinux1-dev,
Standards-Version: 4.4.1
Homepage: https://github.com/containers/buildah
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-containers-buildah
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-containers-buildah.git
XS-Go-Import-Path: github.com/containers/buildah
#Testsuite: autopkgtest-pkg-go

Package: buildah
Architecture: any
Built-Using: ${misc:Built-Using}
Depends: uidmap,
         ${misc:Depends},
         ${shlibs:Depends}
Conflicts: fuse-overlayfs (<< 0.7.1)
Recommends: ${misc:Recommends},
    fuse-overlayfs (>= 0.7.1~),
    crun | runc,
Suggests: containers-storage
Description: CLI tool to facilitate building OCI images
 The Buildah package provides a command line tool that can be used to
   - create a working container, either from scratch or using an image as a
     starting point
   - create an image, either from a working container or via the
     instructions in a Dockerfile
   - images can be built in either the OCI image format or the traditional
     upstream docker image format
   - mount a working container's root filesystem for manipulation
   - unmount a working container's root filesystem
   - use the updated contents of a container's root filesystem as a
     filesystem layer to create a new image
   - delete a working container or an image
   - rename a local container
 .
 This package contains the buildah command-line utility and provides an
 interface similar to the 'docker' command.

Package: golang-github-containers-buildah-dev
Architecture: all
Depends: ${misc:Depends},
    golang-ginkgo-dev,
    golang-github-appc-cni-dev (>= 0.7.0~~),
    golang-github-containers-image-dev (>= 5.0.0~),
    golang-github-containers-storage-dev (>= 1.12.2~),
    golang-github-coreos-bbolt-dev (>= 1.3.3~),
    golang-github-cyphar-filepath-securejoin-dev,
    golang-github-docker-docker-dev (>= 19.03.4~),
#       golang-github-docker-distribution-dev,
    golang-github-docker-go-units-dev,
    golang-github-fsouza-go-dockerclient-dev,
    golang-github-hashicorp-go-multierror-dev,
    golang-github-ishidawataru-sctp-dev,
    golang-github-mattn-go-shellwords-dev,
    golang-github-opencontainers-go-digest-dev,
    golang-github-opencontainers-image-spec-dev,
    golang-github-opencontainers-runc-dev,
    golang-github-opencontainers-runtime-tools-dev,
    golang-github-opencontainers-selinux-dev,
    golang-github-opencontainers-specs-dev,
    golang-github-openshift-api-dev,
    golang-github-openshift-imagebuilder-dev,
    golang-github-pkg-errors-dev,
    golang-github-seccomp-containers-golang-dev,
    golang-github-sirupsen-logrus-dev,
    golang-github-spf13-cobra-dev,
    golang-github-spf13-pflag-dev,
    golang-gocapability-dev,
    golang-golang-x-crypto-dev,
    golang-golang-x-sys-dev,
    golang-gomega-dev,
Description: tool to facilitate building OCI images
 The Buildah package provides a command line tool that can be used to
   - create a working container, either from scratch or using an image as a
     starting point
   - create an image, either from a working container or via the
     instructions in a Dockerfile
   - images can be built in either the OCI image format or the traditional
     upstream docker image format
   - mount a working container's root filesystem for manipulation
   - unmount a working container's root filesystem
   - use the updated contents of a container's root filesystem as a
     filesystem layer to create a new image
   - delete a working container or an image
   - rename a local container
 .
 This package contains golang sources that other package may require for
 building.

## golang-github-containers-buildah 1.15.0

=== debian/changelog ===
golang-github-containers-buildah (1.15.0-4ubuntu1) groovy; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Work around differences in packaging of vendored libraries in
      the src:docker.io package
    - build depend on golang-github-containerd-containerd-dev
      (in debian, this is provided by src:docker.io)

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 25 Jul 2020 08:41:34 -0400

golang-github-containers-buildah (1.15.0-4) unstable; urgency=medium

  * Upload to unstable

 -- Reinhard Tartler <siretart@tauware.de>  Mon, 20 Jul 2020 10:05:11 -0400

golang-github-containers-buildah (1.15.0-3) experimental; urgency=medium

  * golang-github-containers-buildah-dev: Depend on containers/common

 -- Reinhard Tartler <siretart@tauware.de>  Wed, 15 Jul 2020 07:12:06 -0400

golang-github-containers-buildah (1.15.0-2) experimental; urgency=medium

  * Build Depend against golang-github-containers-common-dev
  * Install sample registries.conf (Closes: #961497)

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 12 Jul 2020 21:31:38 -0400

golang-github-containers-buildah (1.15.0-1) experimental; urgency=medium

  * New upstream version
  * Add Build-Depends:
    - golang-github-containers-ocicrypt-dev
    - golang-github-cyphar-filepath-securejoin-dev
    - golang-github-ishidawataru-sctp-dev
  * Temporarily add containers/common as a local patch

 -- Reinhard Tartler <siretart@tauware.de>  Fri, 10 Jul 2020 19:41:12 -0400

golang-github-containers-buildah (1.11.6-2) unstable; urgency=medium

  * buildah: Replace Conflicts on fuse-overlayfs with Breaks relationship
  * Add upstream patch to fix file traversal flaw
    Fixes: CVE-2020-10696

 -- Reinhard Tartler <siretart@tauware.de>  Wed, 15 Jul 2020 07:30:26 -0400

=== debian/control ===
--- 
+++ 
@@ -10,8 +10,11 @@
                golang-any,
     golang-ginkgo-dev,
     golang-github-appc-cni-dev (>= 0.7.0~~),
-    golang-github-containers-image-dev (>= 5.0.0~),
-    golang-github-containers-storage-dev (>= 1.12.2~),
+    golang-github-containerd-containerd-dev,
+    golang-github-containers-common-dev (>> 0.14),
+    golang-github-containers-image-dev (>= 5.5),
+    golang-github-containers-ocicrypt-dev,
+    golang-github-containers-storage-dev (>= 1.18.2~),
     golang-github-coreos-bbolt-dev (>= 1.3.3~),
     golang-github-cyphar-filepath-securejoin-dev,
     golang-github-docker-docker-dev (>= 19.03.4~),
@@ -56,7 +59,7 @@
 Depends: uidmap,
          ${misc:Depends},
          ${shlibs:Depends}
-Conflicts: fuse-overlayfs (<< 0.7.1)
+Breaks: fuse-overlayfs (<< 0.7.1)
 Recommends: ${misc:Recommends},
     fuse-overlayfs (>= 0.7.1~),
     crun | runc,
@@ -84,7 +87,10 @@
 Depends: ${misc:Depends},
     golang-ginkgo-dev,
     golang-github-appc-cni-dev (>= 0.7.0~~),
+    golang-github-containerd-containerd-dev,
+    golang-github-containers-common-dev (>> 0.14),
     golang-github-containers-image-dev (>= 5.0.0~),
+    golang-github-containers-ocicrypt-dev,
     golang-github-containers-storage-dev (>= 1.12.2~),
     golang-github-coreos-bbolt-dev (>= 1.3.3~),
     golang-github-cyphar-filepath-securejoin-dev,

## golang-github-containers-buildah 1.15.2

=== debian/changelog ===
golang-github-containers-buildah (1.15.2-1ubuntu2.1) groovy; urgency=medium

  * Enable patch to fix build against newer runc version (LP: #1921011)
    - d/p/series: uncomment build-with-new-runc.patch

 -- Lucas Kanashiro <lucas.kanashiro@canonical.com>  Tue, 23 Mar 2021 18:45:45 -0300

golang-github-containers-buildah (1.15.2-1ubuntu2) groovy; urgency=medium

  * Relax dependency on golang-github-opencontainers-runc-dev

 -- Reinhard Tartler <siretart@tauware.de>  Fri, 18 Sep 2020 14:25:58 -0400

golang-github-containers-buildah (1.15.2-1ubuntu1) groovy; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Work around differences in packaging of vendored libraries in
      the src:docker.io package
    - build depend on golang-github-containerd-containerd-dev
      (in debian, this is provided by src:docker.io)
    - allow building against older runc

 -- Reinhard Tartler <siretart@tauware.de>  Thu, 17 Sep 2020 19:12:04 -0400

golang-github-containers-buildah (1.15.2-1) unstable; urgency=medium

  * New upstream version 1.15.2
  * Bump standards version, no changes needed

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 12 Sep 2020 15:29:43 -0400

golang-github-containers-buildah (1.15.0-8) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Shengjing Zhu <zhsj@debian.org>  Sun, 23 Aug 2020 02:33:58 +0800

golang-github-containers-buildah (1.15.0-7) experimental; urgency=medium

  * Team upload.
  * Fix build with latest runtime spec

 -- Shengjing Zhu <zhsj@debian.org>  Wed, 19 Aug 2020 02:08:37 +0800

golang-github-containers-buildah (1.15.0-6) unstable; urgency=medium

  * Add missing hunk to ftbfs-mips.patch

 -- Reinhard Tartler <siretart@tauware.de>  Thu, 30 Jul 2020 07:18:24 -0400

golang-github-containers-buildah (1.15.0-5) unstable; urgency=medium

  * Add patch to unbreak build on mips

 -- Reinhard Tartler <siretart@tauware.de>  Tue, 21 Jul 2020 10:11:45 -0400

=== debian/control ===
--- 
+++ 
@@ -46,7 +46,7 @@
     libostree-dev,
     libseccomp-dev,
     libselinux1-dev,
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Homepage: https://github.com/containers/buildah
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-containers-buildah
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-containers-buildah.git

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,17 @@
 
 MANPAGES_DIR:=_build/manpages
 override_dh_auto_configure:
+	# force debhelper to symlink subdirs in docker, enables workarounds below
+	mkdir -p _build/src/github.com/docker _build/src/github.com/seccomp
 	dh_auto_configure
+	# workaround some vendoring issues - in ubuntu all docker vendored libraries
+	# are installed in the "vendor/" subdirectory
+	test -d _build/src/github.com/docker/libnetwork || \
+	  ln -s docker/vendor/github.com/docker/libnetwork \
+	     _build/src/github.com/docker
+	test -d _build/src/github.com/seccomp/libseccomp-golang || \
+	  ln -s ../docker/docker/vendor/github.com/seccomp/libseccomp-golang \
+	  _build/src/github.com/seccomp
 ## prepare containers-image man pages sources:
 	mkdir -v -p $(MANPAGES_DIR)
 	cp -v /usr/share/doc/golang-github-containers-image-dev/*.5.* $(MANPAGES_DIR)/

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/golang-github-containers-buildah-\$1\.tar\.gz/,\
uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/\$1~\$2\$3/ \
  https://github.com/containers/buildah/tags .*/v?(1\.15\.\d\S*)\.tar\.gz

## golang-github-containers-buildah 1.16.6+dfsg1

=== debian/changelog ===
golang-github-containers-buildah (1.16.6+dfsg1-2ubuntu2) hirsute; urgency=medium

  * Add missing build-dep: golang-github-seccomp-libseccomp-golang-dev

 -- Reinhard Tartler <siretart@tauware.de>  Thu, 21 Jan 2021 16:54:28 -0500

golang-github-containers-buildah (1.16.6+dfsg1-2ubuntu1) hirsute; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    - Work around differences in packaging of vendored libraries in
      the src:docker.io package
    - build depend on golang-github-containerd-containerd-dev
      (in debian, this is provided by src:docker.io)

 -- Reinhard Tartler <siretart@tauware.de>  Thu, 21 Jan 2021 11:19:11 -0500

golang-github-containers-buildah (1.16.6+dfsg1-2) unstable; urgency=medium

  * Fix manpage installation (Closes: #977515)
  * no longer install sample registries.conf
  * Bump standards-version, no changes needed

 -- Reinhard Tartler <siretart@tauware.de>  Tue, 15 Dec 2020 22:33:30 -0500

golang-github-containers-buildah (1.16.6+dfsg1-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository, Repository-Browse.

  [ Reinhard Tartler ]
  * Bump standards version, no changes needed
  * debian/changelog: upate
  * debian/watch: update to match containers/storage
  * debian/control: tighten dependencies
  * debian/copyright: update using cme update dpkg-copyright
  * New upstream version 1.16.6+dfsg1

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 22 Nov 2020 17:16:10 -0500

golang-github-containers-buildah (1.15.2-1ubuntu3) hirsute; urgency=medium

  * No-change rebuild using new golang

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 11 Nov 2020 22:11:19 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: golang-github-containers-buildah
 Section: devel
 Priority: optional
-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Reinhard Tartler <siretart@tauware.de>,
            Dmitry Smirnov <onlyjob@debian.org>,
 Build-Conflicts: golang-github-dnephin-cobra-dev
@@ -10,11 +11,10 @@
                golang-any,
     golang-ginkgo-dev,
     golang-github-appc-cni-dev (>= 0.7.0~~),
-    golang-github-containerd-containerd-dev,
-    golang-github-containers-common-dev (>> 0.14),
-    golang-github-containers-image-dev (>= 5.5),
+    golang-github-containers-common-dev (>> 0.26~~),
+    golang-github-containers-image-dev (>= 5.8~),
     golang-github-containers-ocicrypt-dev,
-    golang-github-containers-storage-dev (>= 1.18.2~),
+    golang-github-containers-storage-dev (>= 1.23.3~),
     golang-github-coreos-bbolt-dev (>= 1.3.3~),
     golang-github-cyphar-filepath-securejoin-dev,
     golang-github-docker-docker-dev (>= 19.03.4~),
@@ -26,7 +26,7 @@
     golang-github-mattn-go-shellwords-dev,
     golang-github-opencontainers-go-digest-dev,
     golang-github-opencontainers-image-spec-dev,
-    golang-github-opencontainers-runc-dev,
+    golang-github-opencontainers-runc-dev (>= 1.0.0~rc92~),
     golang-github-opencontainers-runtime-tools-dev,
     golang-github-opencontainers-selinux-dev,
     golang-github-opencontainers-specs-dev,
@@ -34,6 +34,7 @@
     golang-github-openshift-imagebuilder-dev,
     golang-github-pkg-errors-dev,
     golang-github-seccomp-containers-golang-dev,
+    golang-github-seccomp-libseccomp-golang-dev,
     golang-github-sirupsen-logrus-dev,
     golang-github-spf13-cobra-dev,
     golang-github-spf13-pflag-dev,
@@ -46,7 +47,7 @@
     libostree-dev,
     libseccomp-dev,
     libselinux1-dev,
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Homepage: https://github.com/containers/buildah
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-containers-buildah
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-containers-buildah.git
@@ -88,10 +89,10 @@
     golang-ginkgo-dev,
     golang-github-appc-cni-dev (>= 0.7.0~~),
     golang-github-containerd-containerd-dev,
-    golang-github-containers-common-dev (>> 0.14),
-    golang-github-containers-image-dev (>= 5.0.0~),
+    golang-github-containers-common-dev (>> 0.26),
+    golang-github-containers-image-dev (>= 5.8.0~),
     golang-github-containers-ocicrypt-dev,
-    golang-github-containers-storage-dev (>= 1.12.2~),
+    golang-github-containers-storage-dev (>= 1.23.3~),
     golang-github-coreos-bbolt-dev (>= 1.3.3~),
     golang-github-cyphar-filepath-securejoin-dev,
     golang-github-docker-docker-dev (>= 19.03.4~),
@@ -103,7 +104,7 @@
     golang-github-mattn-go-shellwords-dev,
     golang-github-opencontainers-go-digest-dev,
     golang-github-opencontainers-image-spec-dev,
-    golang-github-opencontainers-runc-dev,
+    golang-github-opencontainers-runc-dev (>= 1.0.0~rc92~),
     golang-github-opencontainers-runtime-tools-dev,
     golang-github-opencontainers-selinux-dev,
     golang-github-opencontainers-specs-dev,
@@ -111,6 +112,7 @@
     golang-github-openshift-imagebuilder-dev,
     golang-github-pkg-errors-dev,
     golang-github-seccomp-containers-golang-dev,
+    golang-github-seccomp-libseccomp-golang-dev,
     golang-github-sirupsen-logrus-dev,
     golang-github-spf13-cobra-dev,
     golang-github-spf13-pflag-dev,

=== debian/rules ===
#!/usr/bin/make -f

# We want to ship only the library packages themselves in the go source, not
# the accompanying test scripts
export DH_GOLANG_EXCLUDES := tests/
export DH_GOLANG_EXCLUDES_ALL := 1

override_dh_auto_configure:
	# force debhelper to symlink subdirs in docker, enables workarounds below
	mkdir -p _build/src/github.com/docker _build/src/github.com/seccomp
	dh_auto_configure
	# workaround some vendoring issues - in ubuntu all docker vendored libraries
	# are installed in the "vendor/" subdirectory
	test -d _build/src/github.com/docker/libnetwork || \
	  ln -s docker/vendor/github.com/docker/libnetwork \
	     _build/src/github.com/docker

override_dh_auto_build: $(MANPAGES) $(MANPAGES5)
	dh_auto_build -- -tags "seccomp selinux apparmor containers_image_ostree"
	make -C docs docs GOMD2MAN=go-md2man
	make -C docs install PREFIX=/usr DESTDIR=$(CURDIR)/debian/tmp

override_dh_auto_test:
	# TODO: Investigate how to get the tests to pass

%:
	dh $@ --buildsystem=golang --with=golang,bash-completion --builddirectory=_build

## golang-github-containers-buildah 1.19.3+dfsg1

=== debian/changelog ===
golang-github-containers-buildah (1.19.3+dfsg1-1ubuntu1) hirsute; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    - Work around differences in packaging of vendored libraries in
      the src:docker.io package
    - build depend on golang-github-containerd-containerd-dev
      (in debian, this is provided by src:docker.io)

 -- Reinhard Tartler <siretart@tauware.de>  Thu, 04 Feb 2021 07:31:20 -0500

golang-github-containers-buildah (1.19.3+dfsg1-1) unstable; urgency=medium

  * Upload to unstable
  * New upstream version 1.19.3+dfsg1

 -- Reinhard Tartler <siretart@tauware.de>  Tue, 02 Feb 2021 10:07:24 -0500

golang-github-containers-buildah (1.19.2+dfsg1-2) experimental; urgency=medium

  * No longer provide policy.json, moved to containers/common

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 30 Jan 2021 15:44:52 -0500

golang-github-containers-buildah (1.19.2+dfsg1-1) experimental; urgency=medium

  * New upstream version 1.19.2+dfsg1

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 24 Jan 2021 09:07:37 -0500

golang-github-containers-buildah (1.18.0+dfsg1-3) unstable; urgency=medium

  * No longer provide policy.json, moved to containers/common

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 30 Jan 2021 10:33:21 -0500

golang-github-containers-buildah (1.18.0+dfsg1-2) unstable; urgency=medium

  * Upload to unstable
  * explicitly depend on golang-github-seccomp-libseccomp-golang-dev

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 23 Jan 2021 18:31:09 -0500

golang-github-containers-buildah (1.18.0+dfsg1-1) experimental; urgency=medium

  * debian/control: add dep on golang-github-konsorten-go-windows-terminal-sequences-dev
  * no longer install sample registries.conf
  * Fix manpage installation
  * dropping unused patch
  * Bump standards-version, no changes needed
  * New upstream version 1.18.0+dfsg1

 -- Reinhard Tartler <siretart@tauware.de>  Tue, 08 Dec 2020 15:06:53 -0500

golang-github-containers-buildah (1.17.1+dfsg1-1) experimental; urgency=medium

  * New upstream version 1.17.1+dfsg1

 -- Reinhard Tartler <siretart@tauware.de>  Mon, 30 Nov 2020 15:54:11 -0500

=== debian/control ===
--- 
+++ 
@@ -11,10 +11,10 @@
                golang-any,
     golang-ginkgo-dev,
     golang-github-appc-cni-dev (>= 0.7.0~~),
-    golang-github-containers-common-dev (>> 0.26~~),
-    golang-github-containers-image-dev (>= 5.8~),
+    golang-github-containers-common-dev (>> 0.33.1~~),
+    golang-github-containers-image-dev (>= 5.9~),
     golang-github-containers-ocicrypt-dev,
-    golang-github-containers-storage-dev (>= 1.23.3~),
+    golang-github-containers-storage-dev (>= 1.24.3~),
     golang-github-coreos-bbolt-dev (>= 1.3.3~),
     golang-github-cyphar-filepath-securejoin-dev,
     golang-github-docker-docker-dev (>= 19.03.4~),
@@ -23,6 +23,7 @@
     golang-github-fsouza-go-dockerclient-dev,
     golang-github-hashicorp-go-multierror-dev,
     golang-github-ishidawataru-sctp-dev,
+    golang-github-konsorten-go-windows-terminal-sequences-dev,
     golang-github-mattn-go-shellwords-dev,
     golang-github-opencontainers-go-digest-dev,
     golang-github-opencontainers-image-spec-dev,
@@ -58,6 +59,7 @@
 Architecture: any
 Built-Using: ${misc:Built-Using}
 Depends: uidmap,
+         golang-github-containers-common (>> 0.26.3+ds1-3~~)
          ${misc:Depends},
          ${shlibs:Depends}
 Breaks: fuse-overlayfs (<< 0.7.1)
@@ -89,10 +91,10 @@
     golang-ginkgo-dev,
     golang-github-appc-cni-dev (>= 0.7.0~~),
     golang-github-containerd-containerd-dev,
-    golang-github-containers-common-dev (>> 0.26),
-    golang-github-containers-image-dev (>= 5.8.0~),
+    golang-github-containers-common-dev (>> 0.33.1),
+    golang-github-containers-image-dev (>= 5.9.0~),
     golang-github-containers-ocicrypt-dev,
-    golang-github-containers-storage-dev (>= 1.23.3~),
+    golang-github-containers-storage-dev (>= 1.24.3~),
     golang-github-coreos-bbolt-dev (>= 1.3.3~),
     golang-github-cyphar-filepath-securejoin-dev,
     golang-github-docker-docker-dev (>= 19.03.4~),

## golang-github-containers-buildah 1.19.4+dfsg1

=== debian/changelog ===
golang-github-containers-buildah (1.19.4+dfsg1-3ubuntu1) hirsute; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    - Work around differences in packaging of vendored libraries in
      the src:docker.io package
    - build depend on golang-github-containerd-containerd-dev
      (in debian, this is provided by src:docker.io)

 -- Reinhard Tartler <siretart@tauware.de>  Wed, 17 Feb 2021 20:06:40 -0500

golang-github-containers-buildah (1.19.4+dfsg1-3) unstable; urgency=medium

  * Upload to unstable to pickup fix that closes: #982467
  * Revert "Tighten dependencies on containers/{storage,image,common}"

 -- Reinhard Tartler <siretart@tauware.de>  Fri, 12 Feb 2021 06:38:06 -0500

golang-github-containers-buildah (1.19.4+dfsg1-2) experimental; urgency=medium

  * Cherry-pick upstream patch: Fix caching layers with build args

 -- Reinhard Tartler <siretart@tauware.de>  Wed, 10 Feb 2021 12:59:27 -0500

golang-github-containers-buildah (1.19.4+dfsg1-1) experimental; urgency=medium

  * New upstream version 1.19.4+dfsg1
  * Tighten dependencies on containers/{storage,image,common}
  * drop 2967.patch, merged upstream

 -- Reinhard Tartler <siretart@tauware.de>  Tue, 09 Feb 2021 22:02:12 -0500

golang-github-containers-buildah (1.19.3+dfsg1-2) unstable; urgency=medium

  * Unbreak image caching (Closes: #981849)
  * buildah: Add critical comma in Depends
  * Revert "Disabled "Testsuite: autopkgtest-pkg-go"

 -- Reinhard Tartler <siretart@tauware.de>  Fri, 05 Feb 2021 13:42:07 -0500

=== debian/control ===
--- 
+++ 
@@ -53,13 +53,13 @@
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-containers-buildah
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-containers-buildah.git
 XS-Go-Import-Path: github.com/containers/buildah
-#Testsuite: autopkgtest-pkg-go
+Testsuite: autopkgtest-pkg-go
 
 Package: buildah
 Architecture: any
 Built-Using: ${misc:Built-Using}
 Depends: uidmap,
-         golang-github-containers-common (>> 0.26.3+ds1-3~~)
+         golang-github-containers-common (>> 0.26.3+ds1-3~~),
          ${misc:Depends},
          ${shlibs:Depends}
 Breaks: fuse-overlayfs (<< 0.7.1)

## golang-github-containers-buildah 1.19.6+dfsg1

=== debian/changelog ===
golang-github-containers-buildah (1.19.6+dfsg1-1) unstable; urgency=medium

  * New upstream version targeted at podman 3.0
  * remove 2993.patch, merged upstream

 -- Reinhard Tartler <siretart@tauware.de>  Tue, 23 Feb 2021 07:10:49 -0500

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: golang-github-containers-buildah
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Reinhard Tartler <siretart@tauware.de>,
            Dmitry Smirnov <onlyjob@debian.org>,
 Build-Conflicts: golang-github-dnephin-cobra-dev
@@ -12,9 +11,9 @@
     golang-ginkgo-dev,
     golang-github-appc-cni-dev (>= 0.7.0~~),
     golang-github-containers-common-dev (>> 0.33.1~~),
-    golang-github-containers-image-dev (>= 5.9~),
+    golang-github-containers-image-dev (>= 5.10.2),
     golang-github-containers-ocicrypt-dev,
-    golang-github-containers-storage-dev (>= 1.24.3~),
+    golang-github-containers-storage-dev (>= 1.24.6),
     golang-github-coreos-bbolt-dev (>= 1.3.3~),
     golang-github-cyphar-filepath-securejoin-dev,
     golang-github-docker-docker-dev (>= 19.03.4~),
@@ -90,11 +89,10 @@
 Depends: ${misc:Depends},
     golang-ginkgo-dev,
     golang-github-appc-cni-dev (>= 0.7.0~~),
-    golang-github-containerd-containerd-dev,
     golang-github-containers-common-dev (>> 0.33.1),
-    golang-github-containers-image-dev (>= 5.9.0~),
+    golang-github-containers-image-dev (>= 5.10.2),
     golang-github-containers-ocicrypt-dev,
-    golang-github-containers-storage-dev (>= 1.24.3~),
+    golang-github-containers-storage-dev (>= 1.24.6),
     golang-github-coreos-bbolt-dev (>= 1.3.3~),
     golang-github-cyphar-filepath-securejoin-dev,
     golang-github-docker-docker-dev (>= 19.03.4~),

=== debian/watch ===
# https://salsa.debian.org/snippets/95
# uscan(1) configuration file.
version=4

opts="\
pgpmode=none,\
repack,compression=xz,repacksuffix=+dfsg1,\
dversionmangle=s{[+~]dfsg\d*}{},\
" https://github.com/containers/buildah/releases \
  .*/archive/v?(\d[\d\.]+)\.tar\.gz

## golang-github-containers-buildah 1.20.1+ds1

=== debian/changelog ===
golang-github-containers-buildah (1.20.1+ds1-2) experimental; urgency=medium

  * Build-Depend on golang-github-vbauerster-mpb-dev (>= 6)

 -- Reinhard Tartler <siretart@tauware.de>  Fri, 28 May 2021 16:30:43 -0400

golang-github-containers-buildah (1.20.1+ds1-1) experimental; urgency=medium

  * New upstream release
  * Drop dependency against golang-github-seccomp-containers-golang-dev,
    thanks to Laurent Bigonville (Closes: #988444).

 -- Reinhard Tartler <siretart@tauware.de>  Fri, 28 May 2021 13:35:51 -0400

=== debian/control ===
--- 
+++ 
@@ -10,10 +10,10 @@
                golang-any,
     golang-ginkgo-dev,
     golang-github-appc-cni-dev (>= 0.7.0~~),
-    golang-github-containers-common-dev (>> 0.33.1~~),
-    golang-github-containers-image-dev (>= 5.10.2),
+    golang-github-containers-common-dev (>> 0.35.3~~),
+    golang-github-containers-image-dev (>= 5.10.5),
     golang-github-containers-ocicrypt-dev,
-    golang-github-containers-storage-dev (>= 1.24.6),
+    golang-github-containers-storage-dev (>= 1.28.1),
     golang-github-coreos-bbolt-dev (>= 1.3.3~),
     golang-github-cyphar-filepath-securejoin-dev,
     golang-github-docker-docker-dev (>= 19.03.4~),
@@ -31,13 +31,13 @@
     golang-github-opencontainers-selinux-dev,
     golang-github-opencontainers-specs-dev,
     golang-github-openshift-api-dev,
-    golang-github-openshift-imagebuilder-dev,
+    golang-github-openshift-imagebuilder-dev (>= 1.2.0),
     golang-github-pkg-errors-dev,
-    golang-github-seccomp-containers-golang-dev,
     golang-github-seccomp-libseccomp-golang-dev,
     golang-github-sirupsen-logrus-dev,
     golang-github-spf13-cobra-dev,
     golang-github-spf13-pflag-dev,
+    golang-github-vbauerster-mpb-dev (>= 6),
     golang-gocapability-dev,
     golang-golang-x-crypto-dev,
     golang-golang-x-sys-dev,
@@ -58,7 +58,7 @@
 Architecture: any
 Built-Using: ${misc:Built-Using}
 Depends: uidmap,
-         golang-github-containers-common (>> 0.26.3+ds1-3~~),
+         golang-github-containers-common (>> 0.35.3),
          ${misc:Depends},
          ${shlibs:Depends}
 Breaks: fuse-overlayfs (<< 0.7.1)
@@ -89,10 +89,10 @@
 Depends: ${misc:Depends},
     golang-ginkgo-dev,
     golang-github-appc-cni-dev (>= 0.7.0~~),
-    golang-github-containers-common-dev (>> 0.33.1),
-    golang-github-containers-image-dev (>= 5.10.2),
+    golang-github-containers-common-dev (>> 0.35),
+    golang-github-containers-image-dev (>= 5.10.5),
     golang-github-containers-ocicrypt-dev,
-    golang-github-containers-storage-dev (>= 1.24.6),
+    golang-github-containers-storage-dev (>= 1.28.1),
     golang-github-coreos-bbolt-dev (>= 1.3.3~),
     golang-github-cyphar-filepath-securejoin-dev,
     golang-github-docker-docker-dev (>= 19.03.4~),
@@ -109,9 +109,8 @@
     golang-github-opencontainers-selinux-dev,
     golang-github-opencontainers-specs-dev,
     golang-github-openshift-api-dev,
-    golang-github-openshift-imagebuilder-dev,
+    golang-github-openshift-imagebuilder-dev (>= 1.2.0),
     golang-github-pkg-errors-dev,
-    golang-github-seccomp-containers-golang-dev,
     golang-github-seccomp-libseccomp-golang-dev,
     golang-github-sirupsen-logrus-dev,
     golang-github-spf13-cobra-dev,

=== debian/rules ===
--- 
+++ 
@@ -14,6 +14,9 @@
 	test -d _build/src/github.com/docker/libnetwork || \
 	  ln -s docker/vendor/github.com/docker/libnetwork \
 	     _build/src/github.com/docker
+	test -d _build/src/github.com/seccomp/libseccomp-golang || \
+	  ln -s ../docker/docker/vendor/github.com/seccomp/libseccomp-golang \
+	  _build/src/github.com/seccomp
 
 override_dh_auto_build: $(MANPAGES) $(MANPAGES5)
 	dh_auto_build -- -tags "seccomp selinux apparmor containers_image_ostree"

## golang-github-containers-buildah 1.21.0+ds1

=== debian/changelog ===
golang-github-containers-buildah (1.21.0+ds1-2) experimental; urgency=medium

  * Burn version number for botched previous upload

 -- Reinhard Tartler <siretart@tauware.de>  Mon, 07 Jun 2021 19:06:07 -0400

golang-github-containers-buildah (1.21.0+ds1-1) experimental; urgency=medium

  * New upstream release

 -- Reinhard Tartler <siretart@tauware.de>  Mon, 07 Jun 2021 18:57:28 -0400

=== debian/control ===
--- 
+++ 
@@ -10,10 +10,10 @@
                golang-any,
     golang-ginkgo-dev,
     golang-github-appc-cni-dev (>= 0.7.0~~),
-    golang-github-containers-common-dev (>> 0.35.3~~),
-    golang-github-containers-image-dev (>= 5.10.5),
+    golang-github-containers-common-dev (>> 0.38.4),
+    golang-github-containers-image-dev (>= 5.12),
     golang-github-containers-ocicrypt-dev,
-    golang-github-containers-storage-dev (>= 1.28.1),
+    golang-github-containers-storage-dev (>= 1.31.1),
     golang-github-coreos-bbolt-dev (>= 1.3.3~),
     golang-github-cyphar-filepath-securejoin-dev,
     golang-github-docker-docker-dev (>= 19.03.4~),
@@ -31,7 +31,7 @@
     golang-github-opencontainers-selinux-dev,
     golang-github-opencontainers-specs-dev,
     golang-github-openshift-api-dev,
-    golang-github-openshift-imagebuilder-dev (>= 1.2.0),
+    golang-github-openshift-imagebuilder-dev (>= 1.2.1),
     golang-github-pkg-errors-dev,
     golang-github-seccomp-libseccomp-golang-dev,
     golang-github-sirupsen-logrus-dev,
@@ -58,7 +58,7 @@
 Architecture: any
 Built-Using: ${misc:Built-Using}
 Depends: uidmap,
-         golang-github-containers-common (>> 0.35.3),
+         golang-github-containers-common (>> 0.38.4),
          ${misc:Depends},
          ${shlibs:Depends}
 Breaks: fuse-overlayfs (<< 0.7.1)
@@ -89,10 +89,10 @@
 Depends: ${misc:Depends},
     golang-ginkgo-dev,
     golang-github-appc-cni-dev (>= 0.7.0~~),
-    golang-github-containers-common-dev (>> 0.35),
-    golang-github-containers-image-dev (>= 5.10.5),
+    golang-github-containers-common-dev (>> 0.38.4),
+    golang-github-containers-image-dev (>= 5.12),
     golang-github-containers-ocicrypt-dev,
-    golang-github-containers-storage-dev (>= 1.28.1),
+    golang-github-containers-storage-dev (>= 1.31.1),
     golang-github-coreos-bbolt-dev (>= 1.3.3~),
     golang-github-cyphar-filepath-securejoin-dev,
     golang-github-docker-docker-dev (>= 19.03.4~),
@@ -109,7 +109,7 @@
     golang-github-opencontainers-selinux-dev,
     golang-github-opencontainers-specs-dev,
     golang-github-openshift-api-dev,
-    golang-github-openshift-imagebuilder-dev (>= 1.2.0),
+    golang-github-openshift-imagebuilder-dev (>= 1.2.1),
     golang-github-pkg-errors-dev,
     golang-github-seccomp-libseccomp-golang-dev,
     golang-github-sirupsen-logrus-dev,

## golang-github-containers-buildah 1.21.3+ds1

=== debian/changelog ===
golang-github-containers-buildah (1.21.3+ds1-1ubuntu1) impish; urgency=medium

  * d/p/support-runc-1.0.1.patch: Add patch to comply with API changes in
    libcontainer inside runc (LP: #1939423).
  * d/control: Adjust some dependencies version constraints.
    - Relax golang-github-containers-common-dev version constraint,
      use '>=' instead of '>>'. This still satisfies what upstream defines in
      go.mod.
    - Add '>= 20.10.7-0ubuntu2' to golang-github-docker-docker-dev. In this
      version, the required libnetwork component is also shipped.

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Fri, 13 Aug 2021 10:55:02 -0300

golang-github-containers-buildah (1.21.3+ds1-1) experimental; urgency=medium

  * New upstream release

 -- Reinhard Tartler <siretart@tauware.de>  Tue, 20 Jul 2021 08:14:23 -0400

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: golang-github-containers-buildah
 Section: devel
 Priority: optional
-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Reinhard Tartler <siretart@tauware.de>,
            Dmitry Smirnov <onlyjob@debian.org>,
 Build-Conflicts: golang-github-dnephin-cobra-dev
@@ -10,13 +11,13 @@
                golang-any,
     golang-ginkgo-dev,
     golang-github-appc-cni-dev (>= 0.7.0~~),
-    golang-github-containers-common-dev (>> 0.38.4),
+    golang-github-containers-common-dev (>= 0.38.16),
     golang-github-containers-image-dev (>= 5.12),
     golang-github-containers-ocicrypt-dev,
     golang-github-containers-storage-dev (>= 1.31.1),
     golang-github-coreos-bbolt-dev (>= 1.3.3~),
     golang-github-cyphar-filepath-securejoin-dev,
-    golang-github-docker-docker-dev (>= 19.03.4~),
+    golang-github-docker-docker-dev (>= 20.10.7-0ubuntu2),
 #       golang-github-docker-distribution-dev,
     golang-github-docker-go-units-dev,
     golang-github-fsouza-go-dockerclient-dev,
